#!/usr/bin/env bash

set -e

ADOMAIN=ipaad2016.test
ADUSER1=administrator@ipaad2016.test
ADUSER2=etuser1@ipaad2016.test
IPAPASSWORD=Secret123

reset_sss_cache() {
    systemctl stop sssd
    rm -f /var/lib/sss/{db,mc}/*
    systemctl start sssd
    echo Secret123 | kinit admin > /dev/null

}

wait_user() {
    user=$1
    start=`date +%s`
    while true; do
        if id $user > /dev/null 2>&1 ; then
            echo '+'
            break
        else
            echo -n '-'
            sleep 1
        fi
    done
    end=`date +%s`
    echo $(( end - start )) seconds elapsed
}

echo IPAPASSWORD | /usr/bin/ipa trust-add $ADOMAIN --admin Administrator --type=ad --external=true
reset_sss_cache

echo Wait for user 1
wait_user $ADUSER1

echo Wait for user 2
wait_user $ADUSER2

echo Ok